Subject: Re: [lisp] The other question

From: [email-masked] (Noel Chiappa)
Date: Wed, 23 Sep 2009 18:22:45 -0400 (EDT)

> From: "Joel M. Halpern" <[email-masked]>

    > In general, the longer we put off making a change, the harder it will
    > be

Trust me, I am well aware of that! :-)
That's just one more piece of data to go into the 'when' question hopper.

    > At the same time, since it is a long term issue, I have no problem with
    > having an extended discussion over several months

That's my take too. Changes for architectural reasons tend to be changes
whose pay-off is long term - where, almost by definition, you won't lose a
lot, in total, if you don't deploy it right away (modulo the issue above). So
a noticeable delay in such cases is not necessarily a big problem.

    > putting refinements into the same portion of the document (such as
    > Vince's change) so that the interim stuff works better.

Just to make sure I understand you: when you say "refinements" above, you
mean 'interim refinements', right?

	Noel